Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Departments

Update Department
PATCH /departments/{departmentId}
https://api.relesysapp.net/api/v1.1/departments/{departmentId}
Update a department based on the ID provided. Accepts a JsonPatch request in the body.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
departmentId string / guid The department's unique identifier required
Request Body
application/json-patch+json
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"28d1cebc-7884-4c7e-a13f-5184d6dcfaf8","url":null,"creationDateTime":"2026-07-13T00:35:17.9647592Z","lastModifiedDateTime":"2026-07-13T00:35:17.9647592Z","name":"Relesys Main HQ","parentId":"96d165f8-cca5-4f1b-850d-a71bf800e803","externalId":"HQ","addressLine":"Relesys Road 10","addressLine2":"2nd floor","zipCode":"2920","city":"Relecity","defaultPhoneCountryCode":45,"phoneNumber":{"countryCode":45,"number":"12345678"},"managerUserId":"4f88a43b-eb60-4c77-a560-c48de5fd8c85","showInContacts":true,"showInHighscores":true,"showInActivityStatistics":true,"contentCulture":"da-dk","uiCulture":"da-dk","type":"Company","timeZone":"UTC","email":"Test@test.com","userLanguageEnabled":true,"selectedCultures":["da-DK","en-GK"],"showDepartmentManagerPublic":false,"showEmployeeList":true,"showDepartmentUsersInPublicContacts":true,"showDepartmentInTaggingOverview":true,"showUsersInTaggingOverview":true,"showContactList":false,"locales":[{"culture":"en-GB","description":"Example description"}]}}
object
  data object      
   addressLine string      
   addressLine2 string      
   city string      
   contentCulture string      
   creationDateTime datetime      
   defaultPhoneCountryCode integer      
   email string      
   externalId string      
   id string / guid      
   lastModifiedDateTime datetime      
   locales array[object]      
    culture string      
    description string      
   managerUserId string / guid      
   name string      
   parentId string / guid      
   phoneNumber object      
    countryCode integer      
    number string      
   selectedCultures array[string]      
   showContactList boolean      
   showDepartmentInTaggingOverview boolean      
   showDepartmentManagerPublic boolean      
   showDepartmentUsersInPublicContacts boolean      
   showEmployeeList boolean      
   showInActivityStatistics boolean      
   showInContacts boolean      
   showInHighscores boolean      
   showUsersInTaggingOverview boolean      
   timeZone string      
   type string      
   uiCulture string      
   url string      
   userLanguageEnabled boolean      
   zipCode string